Subject: Profiling support?

From: David Kastrup <[email-masked]>
Date: Tue, 11 Feb 2014 12:17:40 +0100

Looking in the Makefile, I just find support for coverage reports using
gcov.  Whatever is there with "profile" in it seems to be for
profile-based compilation rather than using gprof.

Now since I've managed to push most of the runtime for basic git-blame
operation out of blame.c proper, it becomes important to figure out
where most of the remaining runtime (a sizable part of that being system
time) is being spent.  Loop counts like that provided by gcov (or am I
missing something here?) are not helpful for that, I think I rather need
the kind of per-function breakdown that gprof provides.

Is there a reason there are no prewired recipes or advice for using
gprof on git?  Is there a way to get the work done, namely seeing the
actual distribution of call times (rather than iterations) using gcov so
that this is not necessary?

-- 
David Kastrup